MarketModel Class Referenceabstract

base class for market models More...

`#include <ql/models/marketmodels/marketmodel.hpp>`

Inheritance diagram for MarketModel:
[legend]

## Public Member Functions

virtual const std::vector< Rate > & | initialRates () const =0
virtual const std::vector< Spread > & | displacements () const =0
virtual const EvolutionDescription & | evolution () const =0
virtual Size | numberOfRates () const =0
virtual Size | numberOfFactors () const =0
virtual Size | numberOfSteps () const =0
virtual const Matrix & | pseudoRoot (Size i) const =0
virtual const Matrix & | covariance (Size i) const
virtual const Matrix & | totalCovariance (Size endIndex) const
std::vector< Volatility > | timeDependentVolatility (Size i) const

## Detailed Description

base class for market models

For each time step, generates the pseudo-square root of the covariance matrix for that time step.